XtGetApplicationNameAndClass(3Xt)

NAME
XtGetApplicationNameAndClass - retrieve application name and class

SYNTAX
void XtGetApplicationNameAndClass(display, name_return, class_return)
      Display* display;
      String* name_return;
      String* class_return;

ARGUMENTS

display
    Specifies an open display connection that has been initialized with

name_return
    Returns the application name.

class_return
    Returns the application class.

DESCRIPTION
returns the application anme and class passed to for the specified display. If the display was never initialized or has been closed, the result is undefined. The returned strings are owned by the Intrinsics and must not be modified or freed by the caller.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface